<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_131) on Mon Jul 17 12:51:57 CEST 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>Uses of Class towerwarspp.io.Hexagon.Center (APP)</title>
<meta name="date" content="2017-07-17">
<link rel="stylesheet" type="text/css" href="../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Class towerwarspp.io.Hexagon.Center (APP)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../../../towerwarspp/io/Hexagon.Center.html" title="class in towerwarspp.io">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?towerwarspp/io/class-use/Hexagon.Center.html" target="_top">Frames</a></li>
<li><a href="Hexagon.Center.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h2 title="Uses of Class towerwarspp.io.Hexagon.Center" class="title">Uses of Class<br>towerwarspp.io.Hexagon.Center</h2>
</div>
<div class="classUseContainer">
<ul class="blockList">
<li class="blockList">
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing packages, and an explanation">
<caption><span>Packages that use <a href="../../../towerwarspp/io/Hexagon.Center.html" title="class in towerwarspp.io">Hexagon.Center</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Package</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="#towerwarspp.io">towerwarspp.io</a></td>
<td class="colLast">
<div class="block">The Input/Output package which displays the Game and computes the Input of the Player.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<ul class="blockList">
<li class="blockList"><a name="towerwarspp.io">
<!--   -->
</a>
<h3>Uses of <a href="../../../towerwarspp/io/Hexagon.Center.html" title="class in towerwarspp.io">Hexagon.Center</a> in <a href="../../../towerwarspp/io/package-summary.html">towerwarspp.io</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing fields, and an explanation">
<caption><span>Fields in <a href="../../../towerwarspp/io/package-summary.html">towerwarspp.io</a> declared as <a href="../../../towerwarspp/io/Hexagon.Center.html" title="class in towerwarspp.io">Hexagon.Center</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>private <a href="../../../towerwarspp/io/Hexagon.Center.html" title="class in towerwarspp.io">Hexagon.Center</a></code></td>
<td class="colLast"><span class="typeNameLabel">Hexagon.</span><code><span class="memberNameLink"><a href="../../../towerwarspp/io/Hexagon.html#center">center</a></span></code>
<div class="block">Private center of the Hexagon</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../towerwarspp/io/package-summary.html">towerwarspp.io</a> that return <a href="../../../towerwarspp/io/Hexagon.Center.html" title="class in towerwarspp.io">Hexagon.Center</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>(package private) <a href="../../../towerwarspp/io/Hexagon.Center.html" title="class in towerwarspp.io">Hexagon.Center</a></code></td>
<td class="colLast"><span class="typeNameLabel">Hexagon.</span><code><span class="memberNameLink"><a href="../../../towerwarspp/io/Hexagon.html#getCenter--">getCenter</a></span>()</code>
<div class="block">Getter for Center.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>(package private) <a href="../../../towerwarspp/io/Hexagon.Center.html" title="class in towerwarspp.io">Hexagon.Center</a></code></td>
<td class="colLast"><span class="typeNameLabel">HexagonGrid.</span><code><span class="memberNameLink"><a href="../../../towerwarspp/io/HexagonGrid.html#getCenter-int-int-">getCenter</a></span>(int&nbsp;x,
         int&nbsp;y)</code>
<div class="block">Get an <a href="../../../towerwarspp/io/Hexagon.Center.html" title="class in towerwarspp.io"><code>Hexagon.Center</code></a> on the specific coordinates.</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../towerwarspp/io/package-summary.html">towerwarspp.io</a> with parameters of type <a href="../../../towerwarspp/io/Hexagon.Center.html" title="class in towerwarspp.io">Hexagon.Center</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>private int[]</code></td>
<td class="colLast"><span class="typeNameLabel">Hexagon.Corner.</span><code><span class="memberNameLink"><a href="../../../towerwarspp/io/Hexagon.Corner.html#calculateCorner-towerwarspp.io.Hexagon.Center-int-int-">calculateCorner</a></span>(<a href="../../../towerwarspp/io/Hexagon.Center.html" title="class in towerwarspp.io">Hexagon.Center</a>&nbsp;center,
               int&nbsp;size,
               int&nbsp;i)</code>
<div class="block">Calculates the Coordinates of the corner.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private void</code></td>
<td class="colLast"><span class="typeNameLabel">Hexagon.</span><code><span class="memberNameLink"><a href="../../../towerwarspp/io/Hexagon.html#setCorners-towerwarspp.io.Hexagon.Center-int-">setCorners</a></span>(<a href="../../../towerwarspp/io/Hexagon.Center.html" title="class in towerwarspp.io">Hexagon.Center</a>&nbsp;center,
          int&nbsp;size)</code>
<div class="block">Setter of the corners of the Hexagon.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>(package private) void</code></td>
<td class="colLast"><span class="typeNameLabel">Hexagon.Corner.</span><code><span class="memberNameLink"><a href="../../../towerwarspp/io/Hexagon.Corner.html#updateCorner-towerwarspp.io.Hexagon.Center-int-int-">updateCorner</a></span>(<a href="../../../towerwarspp/io/Hexagon.Center.html" title="class in towerwarspp.io">Hexagon.Center</a>&nbsp;center,
            int&nbsp;size,
            int&nbsp;i)</code>
<div class="block">Updates the Corner of the Hexagon.</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing constructors, and an explanation">
<caption><span>Constructors in <a href="../../../towerwarspp/io/package-summary.html">towerwarspp.io</a> with parameters of type <a href="../../../towerwarspp/io/Hexagon.Center.html" title="class in towerwarspp.io">Hexagon.Center</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colLast"><code><span class="memberNameLink"><a href="../../../towerwarspp/io/Hexagon.Corner.html#Corner-towerwarspp.io.Hexagon.Center-int-int-">Corner</a></span>(<a href="../../../towerwarspp/io/Hexagon.Center.html" title="class in towerwarspp.io">Hexagon.Center</a>&nbsp;center,
      int&nbsp;size,
      int&nbsp;i)</code>
<div class="block">Constructor set the X and Y Coordinate of the Corner of the <a href="../../../towerwarspp/io/Hexagon.html" title="class in towerwarspp.io"><code>Hexagon</code></a>.</div>
</td>
</tr>
</tbody>
</table>
</li>
</ul>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../../../towerwarspp/io/Hexagon.Center.html" title="class in towerwarspp.io">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?towerwarspp/io/class-use/Hexagon.Center.html" target="_top">Frames</a></li>
<li><a href="Hexagon.Center.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
